# Table of contents

* [What Is Vector?](README.md)
* [Use Cases](use-cases/README.md)
  * [Reduce Lock-In](use-cases/lock-in.md)
  * [Multi-Cloud](use-cases/multi-cloud.md)
  * [Governance & Control](use-cases/governance.md)
  * [Reduce Cost](use-cases/cost.md)
  * [Security & Compliance](use-cases/security-and-compliance.md)
  * [Backups & Archives](use-cases/backups.md)
* [Performance](performance.md)
* [Correctness](correctness.md)

## About

* [Concepts](about/concepts.md)
* [Data Model](about/data-model.md)
* [Guarantees](about/guarantees.md)

## Setup

* [Installation](setup/installation/README.md)
  * [Platforms](setup/installation/platforms/README.md)
    * [Docker](setup/installation/platforms/docker.md)
  * [Package Managers](setup/installation/package-managers/README.md)
    * [APT](setup/installation/package-managers/apt.md)
    * [Homebrew](setup/installation/package-managers/homebrew.md)
    * [YUM](setup/installation/package-managers/yum.md)
  * [Operating Systems](setup/installation/operating-systems/README.md)
    * [Amazon Linux](setup/installation/operating-systems/amazon-linux.md)
    * [CentOS](setup/installation/operating-systems/centos.md)
    * [Debian](setup/installation/operating-systems/debian.md)
    * [MacOS](setup/installation/operating-systems/macos.md)
    * [RHEL](setup/installation/operating-systems/rhel.md)
    * [Ubuntu](setup/installation/operating-systems/ubuntu.md)
  * [Manual](setup/installation/manual/README.md)
    * [From Archives](setup/installation/manual/from-archives.md)
    * [From Source](setup/installation/manual/from-source.md)
* [Getting Started](setup/getting-started/README.md)
  * [Sending Your First Event](setup/getting-started/sending-your-first-event.md)
* [Deployment](setup/deployment/README.md)
  * [Topologies](setup/deployment/topologies.md)
  * [Roles](setup/deployment/roles/README.md)
    * [Agent Role](setup/deployment/roles/agent.md)
    * [Service Role](setup/deployment/roles/service.md)

## Usage

* [Configuration](usage/configuration/README.md)
  * [Sources](usage/configuration/sources/README.md)
    * [file](usage/configuration/sources/file.md)
    * [statsd](usage/configuration/sources/statsd.md)
    * [stdin](usage/configuration/sources/stdin.md)
    * [syslog](usage/configuration/sources/syslog.md)
    * [tcp](usage/configuration/sources/tcp.md)
    * [vector](usage/configuration/sources/vector.md)
  * [Transforms](usage/configuration/transforms/README.md)
    * [add\_fields](usage/configuration/transforms/add_fields.md)
    * [field\_filter](usage/configuration/transforms/field_filter.md)
    * [grok\_parser](usage/configuration/transforms/grok_parser.md)
    * [json\_parser](usage/configuration/transforms/json_parser.md)
    * [log\_to\_metric](usage/configuration/transforms/log_to_metric.md)
    * [lua](usage/configuration/transforms/lua.md)
    * [regex\_parser](usage/configuration/transforms/regex_parser.md)
    * [remove\_fields](usage/configuration/transforms/remove_fields.md)
    * [tokenizer](usage/configuration/transforms/tokenizer.md)
  * [Sinks](usage/configuration/sinks/README.md)
    * [aws\_cloudwatch\_logs](usage/configuration/sinks/aws_cloudwatch_logs.md)
    * [aws\_kinesis\_streams](usage/configuration/sinks/aws_kinesis_streams.md)
    * [aws\_s3](usage/configuration/sinks/aws_s3.md)
    * [blackhole](usage/configuration/sinks/blackhole.md)
    * [console](usage/configuration/sinks/console.md)
    * [elasticsearch](usage/configuration/sinks/elasticsearch.md)
    * [http](usage/configuration/sinks/http.md)
    * [kafka](usage/configuration/sinks/kafka.md)
    * [prometheus](usage/configuration/sinks/prometheus.md)
    * [splunk\_hec](usage/configuration/sinks/splunk_hec.md)
    * [tcp](usage/configuration/sinks/tcp.md)
    * [vector](usage/configuration/sinks/vector.md)
  * [Specification](usage/configuration/specification.md)
* [Administration](usage/administration/README.md)
  * [Starting](usage/administration/starting.md)
  * [Reloading](usage/administration/reloading.md)
  * [Stopping](usage/administration/stopping.md)
  * [Monitoring](usage/administration/monitoring.md)
  * [Tuning](usage/administration/tuning.md)
  * [Updating](usage/administration/updating.md)
  * [Env Vars](usage/administration/env-vars.md)
* [Guides](usage/guides/README.md)
  * [Troubleshooting Guide](usage/guides/troubleshooting.md)

## Resources

* [Community](https://vector.dev/community/)
* [Download](https://github.com/timberio/vector/releases)
* [Github Repo](https://github.com/timberio/vector)
* [Roadmap](https://github.com/timberio/vector/milestones?direction=asc&sort=title&state=open)

## Meta

* [Conventions](meta/conventions.md)
* [Glossary](meta/glossary.md)



